/* 
 * File:   declaration.h
 * Author: shinshi
 *
 * Created on 2 giugno 2014, 11.11
 */

#ifndef DECLARATION_H
#define	DECLARATION_H

//**************************************************
// Sampling Rate time
// questo valore rappresenta l'indice all'interno dell'array
// su cui è caricato il valore da inserire nel timer0
//**************************************************

#define SAMPLING_RATE_500MS 0
#define SAMPLING_RATE_200MS 1
#define SAMPLING_RATE_100MS 2
#define SAMPLING_RATE_50MS 3
#define SAMPLING_RATE_20MS 4
#define SAMPLING_RATE_10MS 5
#define SAMPLING_RATE_5MS 6
#define SAMPLING_RATE_2MS 7
#define SAMPLING_RATE_1MS 8
#define SAMPLING_RATE_500US 9
#define SAMPLING_RATE_200US 10
#define SAMPLING_RATE_100US 11

//**************************************************
// Valori per TMR0H e TMR0L ;
//**************************************************

#define TIMER_VALUE_500MS 18661
#define TIMER_VALUE_200MS 46786
#define TIMER_VALUE_100MS 56161
#define TIMER_VALUE_50MS 60849
#define TIMER_VALUE_20MS 63661
#define TIMER_VALUE_10MS 64599
#define TIMER_VALUE_5MS 65067
#define TIMER_VALUE_2MS 65349
#define TIMER_VALUE_1MS 65442
#define TIMER_VALUE_500US 65489
#define TIMER_VALUE_200US 65517
#define TIMER_VALUE_100US 65527

/**
 *  Questa tabella determina il valore da inserire nel timer0 in base al sempling rate desiderato
 *  L'index dell'array è puntato da SAMPLING_RATE_XXXXX.
 */
rom WORD_VAL sampling_rate_table [] = {  TIMER_VALUE_500MS,TIMER_VALUE_200MS,TIMER_VALUE_100MS,
                                    TIMER_VALUE_50MS,TIMER_VALUE_20MS,TIMER_VALUE_10MS,
                                    TIMER_VALUE_5MS,TIMER_VALUE_2MS,TIMER_VALUE_1MS,
                                    TIMER_VALUE_500US,TIMER_VALUE_200US,TIMER_VALUE_100US,
                                    };

#endif	/* DECLARATION_H */

